Hallo, Gast! (Registrieren)

Letzte Ankündigung: MyBB 1.8.8 veröffentlicht (17.10.16)


Benutzer, die gerade dieses Thema anschauen: 1 Gast/Gäste
MyBB 1.2.12 veröffentlicht
#1
MyBB 1.2.12 ist ein Sicherheitsupdate für die 1.2er Reihe. Es behebt ein Sicherheitsprobleme mit hohem und eins mit mittlerem Risiko. Aufrund des Umfangs der Änderungen wurden zudem wichtige noch ausstehende Fehler behoben. Wir empfehlen allen Benutzern ihr Forum schnellstmöglich zu aktualisieren!

Dieses Sicherheitsupdate behebt die folgenden Probleme:
  • [HOHES RISIKO] SQL-Injektion in der Datei inc/datahandlers/pm.php
  • [MITTLERES RISIKO] XSRF-Sicherheitsprobleme in mehreren Dateien (Hinweis: Der Angreifer benötigt dazu in den meisten Fällen einen Moderator-Account)

Diese Sicherheitslücken betreffen MyBB 1.2.11 und ältere Versionen der 1.2er Reihe. Ältere Versionen können ebenfalls betroffen sein.

MyBB 1.2.11 zu 1.2.12 Patch
Der beigefügte Patch ist für Benutzer von MyBB 1.2.11. Sollte eine ältere Version eingesetzt werden ist das Gesamtpaket MyBB 1.2.12 herunterzuladen und ein Upgrade durchzuführen.

Lade das angefügte ZIP-Archiv herunter und entpacke es. Ersetze die Dateien auf dem Server mit den neuen aus dem Archiv.

.zip   mybb_1212_changed_files.zip (Größe: 309,54 KB / Downloads: 1.133)

Für die Aktualisierung von MyBB 1.2.11 auf 1.2.12 ist die Ausführung des Upgradeskripts erforderlich. Dies ist nötig, um Aktualisierungen innerhalb der Templates durchzuführen.
Es gibt keine Änderungen in der Datenbankstruktur.

Melden von Sicherheitsproblemen
Solltest du ein Sicherheitsproblem im Code des MyBB finden, poste dieses bitte NICHT im Forum. Melde das Problem stattdessen über das Kontaktformular oder per PN an ein Mitglied des Support-Teams.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#2
Aktualisierung von MyBB 1.2.x
Bei einem Update von MyBB 1.2.x gehen keine eigenen Themes/Templates, Plugins oder Sprachpakete verloren.

Führt ein normales Upgrade durch.

Aktualisierung von anderen Versionen
Bei einem Update von einer älteren Version als MyBB 1.2.0 gehen eigene Themes/Templates, Plugins oder Sprachpakete bedingt durch die große Anzahl an Änderungen verloren.

Fertigt vor dem Update ein Backup eurer Datenbank und aller Dateien des Forums auf dem Webspace an, so dass eine Wiederherstellung im Notfall möglich ist.
Führt danach ein normales Upgrade durch.

Geänderte Dateien seit MyBB 1.2.10
  • admin/
    • usergroups.php
  • inc/
    • class_core.php
    • class_moderation.php
    • class_session.php
    • functions.php
    • functions_upload.php
    • datahandlers/
      • pm.php
    • languages/
      • english.php
      • english/
        • global.lang.php
  • install/
    • resources/
      • mybb_theme.xml
      • upgrade11.php
  • jscripts/
    • thread.js
    • general.js
  • polls.php
  • editpost.php
  • global.php
  • search.php
  • managegroup.php
  • member.php
  • report.php
  • sendthread.php
  • reputation.php
  • stats.php
  • usercp.php
  • moderation.php
  • newreply.php
  • calendar.php
  • private.php
  • forumdisplay.php
  • newthread.php
  • ratethread.php
  • xmlhttp.php

Rot markierte Dateien beinhalten Sicherheitsaktualisierungen.
Grün markierte Dateien sind neu.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#3
Theme- und Templateänderungen
Das Tool zum Finden aktualisierter Templates im Admin-CP muss nicht ausgeführt werden. Das Upgradeskript nimmt die nötigen Templateänderungen automatisch vor.

Sprachpaketänderungen
Seit MyBB 1.2.10 wurden folgende Sprachdateien geändert:
  • global.lang.php
  • admin/dbtools.lang.php
  • install/ressources/language.lang.php

Lila markierte Dateien wurden nur in den deutschen Sprachpaketen geändert

Die deutschen Sprachpakete wurden aktualisiert und stehen in einer neuen Version zum Herunterladen bereit.

Plugins
Plugins aus MyBB 1.2.x sollten auch unter 1.2.12 funktionieren.

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren
#4
Diskussion zur Ankündigung

Gruß,
Michael
[Bild: banner.png]
Support erfolgt NUR im Forum!
Bitte gelöste Themen als "erledigt" markieren.
Beiträge mit mangelhafter Rechtschreibung/Grammatik werden kommentarlos gelöscht.
Zitieren